#if !defined(AFX_CSVDLG_H__03DDA25F_9409_4983_B1F5_71A76F0971C3__INCLUDED_)
#define AFX_CSVDLG_H__03DDA25F_9409_4983_B1F5_71A76F0971C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// csvdlg.h : header file
//

#include "qckplugin.h"
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// csvdlg dialog

class csvdlg : public CDialog, public IQckEventNotify
{

public:

// QckPlugin manager and handle

  IQckSrvcMgr* m_Manager;
  void* m_Handle;

  IQckGraphicsSrvc* m_GraphicsSrvc;
  IQckWindowSrvc* m_WindowSrvc;
  IQckDatabaseSrvc* m_DatabaseSrvc;
  IQckExtractSrvc* m_ExtractSrvc;
  IQckLayerSrvc* m_LayerSrvc;
  IQckMarkerSrvc* m_MarkerSrvc;
  

  bool m_Draw;
  void OnRedraw();
  bool m_fileloaded;
  
  bool keepcurlay;
  bool stop;
  

  int posint;
  POSITION pos; 
  UINT nIDEvent;
  

  public:
	CListCtrl m_listctrl;
  
  void OnShowDialog(const bool show);
  void PutMarkerOnScreen(const char*,const char*,const char*);

  unsigned long colordlg;
  sQCKMARKER marker;
  
  
 
	
// Construction
public:
	csvdlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(csvdlg)
	enum { IDD = IDD_CSVDLG };
	CEdit	m_delay;
	CEdit	m_zoommargin;
	CEdit	m_thickness;
	CScrollBar	m_marksize;
	CEdit	m_cellT;
	CEdit	m_layerT;
	CButton	m_colordialog;
	CComboBox	m_ShapeList;
	CListCtrl	m_listwin;
	CEdit	m_infiledsp;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(csvdlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(csvdlg)
	afx_msg void OnBrowse();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnClickCsvdsp(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClear();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeThickness();
	afx_msg void OnSelchangeShapelist();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnColordialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFirst();
	afx_msg void OnLast();
	afx_msg void OnPlayforward();
	afx_msg void OnPlaybackward();
	afx_msg void OnPrecurlay();
	afx_msg void OnStop();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};




//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.



#endif // !defined(AFX_CSVDLG_H__03DDA25F_9409_4983_B1F5_71A76F0971C3__INCLUDED_)


